# spec file for segatex (Version3.09)
# Author Shintaro Fujiwara

Summary: SELinux policy analizing
Name: segatex 
Version: 3.09
Release:1
License: GPL
Group: Applications/Security
URL: http://sourceforge.net/projects/segatex/
#Source: segatex-%{version}.tar.gz
Source: segatex-%{version}.tgz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++, boost-devel >= 1.33, qt-devel >= 1.3.3

%description
segatex is a program even if not knowing much about
SELinux commands, can easily set SELinux commands by GUI.
Written in C++.
Requires Qt.
Requires C++ Boost library.

%prep

%setup -q

%build
qmake -o Makefile segatex.pro
make SUBLIBS='-lboost_regex -lselinux'

%install
rm -rf $RPM_BUILD_ROOT/root/segatex
%{__mkdir} -p $RPM_BUILD_ROOT/root/segatex
%{__mkdir} -p $RPM_BUILD_ROOT/usr/bin

%{__install} -m 644 %{_builddir}/%{name}-%{version}/selpaw_interface.csv \
$RPM_BUILD_ROOT/root/%{name}/
%{__install} -m 644 %{_builddir}/%{name}-%{version}/audit_log_mine_must_be_here \
$RPM_BUILD_ROOT/root/%{name}/
%{__install} -m 644 %{_builddir}/%{name}-%{version}/README \
$RPM_BUILD_ROOT/root/%{name}/
%{__install} -m 644 %{_builddir}/%{name}-%{version}/HELP \
$RPM_BUILD_ROOT/root/%{name}/
%{__install} -m 755 %{_builddir}/%{name}-%{version}/%{name} \
$RPM_BUILD_ROOT/root/%{name}/
%{__ln_s} /root/%{name}/%{name} \
$RPM_BUILD_ROOT/usr/bin/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
/root/segatex/selpaw_interface.csv
/root/segatex/audit_log_mine_must_be_here
/root/segatex/README
/root/segatex/HELP
/root/segatex/segatex
/usr/bin/segatex

